package de.itstall;

import org.junit.Test;
import static org.junit.Assert.*;

public class TestBodymass {

	@Test
	public void berechneBmi() {
		Bodymass bodymass = new Bodymass();
		assertEquals(5.196245620483048E307d, bodymass.berechneBmi(Double.MAX_VALUE, 1.86), 0.0001);
		assertEquals(-1, bodymass.berechneBmi(80, Double.MAX_VALUE), 0.0001);
		assertEquals(31.2499d, bodymass.berechneBmi(80, 1.6), 0.0001);
		assertEquals(23.1240d, bodymass.berechneBmi(80, 1.86), 0.0001);
		assertEquals(-1, bodymass.berechneBmi(0, 1.6), 0.0001);
		assertEquals(-1, bodymass.berechneBmi(80, 0), 0.0001);
	}

	@Test
	public void diagnose() {
		Bodymass bodymass = new Bodymass();

		assertEquals("Überprüfen Sie ihre Eingabe", bodymass.diagnose(Double.MIN_VALUE));
		assertEquals("Überprüfen Sie ihre Eingabe", bodymass.diagnose(5));
		assertEquals("Magersucht", bodymass.diagnose(13));
		assertEquals("Untergewicht", bodymass.diagnose(18));
		assertEquals("Normalgewicht", bodymass.diagnose(23));
		assertEquals("Übergewicht", bodymass.diagnose(29));
		assertEquals("Fettsucht", bodymass.diagnose(39));
		assertEquals("morbide Fettsucht", bodymass.diagnose(45));
		assertEquals("Überprüfen Sie ihre Eingabe", bodymass.diagnose(55));
		assertEquals("Überprüfen Sie ihre Eingabe", bodymass.diagnose(Double.MAX_VALUE));


	}
}